## installation-guide 20150423

=== debian/changelog ===
installation-guide (20150423) unstable; urgency=medium

  * A few translation updates.

  [ Samuel Thibault ]
  * Make size needed on / an entity, and bump its max to 310. Thanks Paolo
    Cavallini for the report and Laura Arjona Reina for the investigation!

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Apr 2015 22:24:35 +0200

installation-guide (20150417) unstable; urgency=medium

  [ Stéphane Blondon ]
  * Improve html table aspect.
  * Add missing "warning" icon.

  [ Karsten Merker ]
  * Add a "Debian-provided U-Boot (system firmware) images" subsection
    in the "Pre-Installation Hardware and Operating System Setup" section
    and add a link to the U-Boot images in the "Downloading Files from
    Debian Mirrors" section.
  * Add a "Using pre-built SD-card images with the installer" subsection
    in the "Booting the Installer on ARM" section.
  * Correct the number of supported architectures (arm64 and ppc64el are
    release architectures now).
  * Add a "Pre-built netboot tarball" subsection for armhf in the
    "Booting by TFTP" section.
  * Add a "Console configuration" subsection in the "Booting the Installer
    on ARM" section.
  * Add information that the IXP4xx platform support in Jessie is limited
    to dist-upgrades from Wheezy, that new installations are not supported
    for the IXP4xx platform and that kernel support for it will definitely
    be dropped in Stretch.
  * Add LinkSprite pcDuino3 to the list of supported armhf systems.
  * Change http.debian.net references to httpredir.debian.org.

  [ Holger Wansing ]
  * Add ppc64el bits.

  [ Wookey ]
  * Update the "Supported Hardware" section for arm64.

  [ Steve McIntyre ]
  * Update stats for number of packages per arch, number of DDs and number
    of mailing lists
  * Add mention of BD-ROM like CD/DVD
  * Lots of updates to documentation about EFI
  * Make USB boot a more prominent option for booting the installer on x86
  * Remove the old hdX device names, switch to sdX for disks
  * Various fixes for arm* support
  * Loads of trivial translations.

  [ Samuel Thibault ]
  * Add missing "set -e" in build/Makefile to trap build failures.
    Closes: #782673.
  * Loads of trivial translations.
  * Fix moving the html images when destination already contains a built
    manual. Closes: #782765.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Mar 2015 10:10:34 +0100

installation-guide (20150323) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rephrase documentation of grub-installer/bootdev to make it clear that it
    has to be specified. document that it can be preseeded with "default".
  * Update preseed grub-style partition name from grub1 style (hd0,0) to grub2
    style (hd0,1).
  * Avoid security issues while making an encrypted root password for a
    preseed file. Closes: #775718.
  * Re-enable da language.

  [ Stuart Prescott ]
  * Advise users not to use unetbootin
  * Suggest win32diskimager as an alternativee to unetbootin
  * Explicitly list the netinst, CD-1 and DVD-1 images as "which image should
    I use" is a FAQ.

  [ Karsten Merker ]
  * Update the armhf platform support status.
  * Update the U-Boot USB boot command in the "Booting from a USB stick in
    U-Boot" section as required by newer U-Boot versions.

  [ Holger Wansing ]
  * Make year for copyright an entity.

  [ Stéphane Blondon ]
  * Add CSS for the html version.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Jan 2015 00:05:14 +0100

installation-guide (20141230) unstable; urgency=medium

  [ Karsten Merker ]
  * List the armel MV78xx0 platform as no longer supported in Jessie
    (support was removed with linux-image 3.16.2-1) and remove the
    mv78xx0 flavor from the architecture table.
  * List the armel ixp4xx platform as (again) supported in Jessie.
    Support for it has been reenabled with kernel 3.16.
  * List the Wandboard Quad as supported armhf platform (based on
    installation report #773127).
  * Add a "Booting from a USB stick in U-Boot" subsection in the
    "Booting the Installer on ARM" section.
 
  [ Ben Hutchings ]
  * Warn that one must copy hybrid images on whole USB sticks, not just a
    partition. Closes: #762024.

  [ Samuel Thibault ]
  * Fix preseed name: netcfg/link_detection_timeout ->
    netcfg/link_wait_timeout. Thanks Julien Cristau for noticing.
  * Update brltty URLs and version.
  * Update preseeding of desktops and list of desktops.
  * Add arm64 and ppc64el manual builds.
  * Update tasks installation sizes.
  * It is now possible to choose the installed desktop, and the default is now
    Gnome on x86. Closes: #764026.
  * Fix documentation for -- after it was turned into --- for fixing #764675.
  * Explicit that console=ttyS0,something has to be put after ---.
    Closes: #764677.

  [ Baptiste Jammet ]
  * Update installation-guide for no separated /usr. Closes: #772461.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Dec 2014 22:26:53 +0100

installation-guide (20140916) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove information about Cobalt devices.

  [ Samuel Thibault ]
  * Reference the DEBIAN_FRONTEND parameter in the accessibility section.
  * Do not document a "d-i keymap" alias, it does not work, only the bootcommand
    keymap alias works.
  * Emphasize about the issue of language/keyboard being by default asked before
    disk and network preseeding.
  * Mention where filesystems are mounted for preseed commands.
  * Fix setting up ssh access now that root with password is disabled by
    default. Closes: #756065.
  * Add support for "any" and "x86" magics in preseed.pl. Closes: #758476.
  * Update linux-x86 lowmem limits.
  * Add arch-parallel build support.
  * Bump Standards-Version to 3.9.5 (no change).

  [ Karsten Merker ]
  * Update and extend the "Supported Hardware" section for armel
    and armhf:
      - update the architecture/subarch/flavor table
      - add general information about armel and armhf


=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Standards-Version: 3.9.5
Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
Vcs-Browser: http://anonscm.debian.org/viewvc/d-i/trunk/manual/
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, ghostscript, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, ko.tex-base, cm-super
# This comment can also be used to generate a Build-Depends-Indep line, by
# running the debian/genbuilddeps program. So put each build dep on its own
# line, prefixed by " - " and to comment out a build dep, start the line
# with two hashes. And don't edit the Build-Depends-Indep line above by hand.
#
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to	build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade | openjade1.3
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- ghostscript
#		For pdfs.
#	- texlive-lang-cyrillic
#	- texlive-lang-czechslovak
#	- texlive-lang-european
##	- texlive-lang-danish
##	- texlive-lang-dutch
##	- texlive-lang-finnish
#	- texlive-lang-french
#	- texlive-lang-german
#	- texlive-lang-greek
#	- texlive-lang-italian
#	- texlive-lang-other
#		Contains hyphenation for Romanian.
#	- texlive-lang-portuguese
#	- texlive-lang-spanish
##	- texlive-lang-swedish
##	- texlive-lang-vietnamese
#		All texlive-lang-* packages provide hyphenation and other
#		language-specific support.
#	- ko.tex-base
#		Font for Korean pdf.
#	- cm-super
#		Font for Russian pdf.

Package: installation-guide-amd64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for amd64
 This package contains the Debian installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-arm64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for arm64
 This package contains the Debian installation guide for the 64bit ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armel
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for armel
 This package contains the Debian installation guide for the ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armhf
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for armhf
 This package contains the Debian installation guide for the ARM
 with Hardware FPU architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-hppa
#Architecture: all
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for hppa
# This package contains the Debian installation guide for the PA-RISC
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for i386
 This package contains the Debian installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

# Package: installation-guide-ia64
# Architecture: all
# Depends: ${misc:Depends}
# Conflicts: installation-guide
# Description: Debian installation guide for ia64
#  This package contains the Debian installation guide for the IA-64
#  architecture, in a variety of languages.
#  .
#  A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-kfreebsd-amd64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for kFreeBSD amd64
 This package contains the Debian installation guide for the kFreeBSD kernel
 running on the AMD64 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-kfreebsd-i386
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for kFreeBSD i386
 This package contains the Debian installation guide for the kFreeBSD kernel
 running on the Intel x86 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mips
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for mips
 This package contains the Debian installation guide for the Mips
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mipsel
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for mipsel
 This package contains the Debian installation guide for the Mipsel
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for powerpc
 This package contains the Debian installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ppc64el
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for powerpc
 This package contains the Debian installation guide for the little-endian
 PowerPC architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-s390x
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for s390x
 This package contains the Debian installation guide for the 64bit S/390
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

# Package: installation-guide-sparc
# Architecture: all
# Depends: ${misc:Depends}
# Conflicts: installation-guide
# Description: Debian installation guide for sparc
#  This package contains the Debian installation guide for the Sparc
#  architecture, in a variety of languages.
#  .
#  A shorter reference, the installation HOWTO, is included in an appendix.

## installation-guide 20150423+deb8u3

=== debian/changelog ===
installation-guide (20150423+deb8u3) jessie; urgency=medium

  [ Matt Kraai ]
  * Fix Instructions for creating syslinux.cfg according to syslinux 5.00
  change. Closes: #803267.

  [ Cyril Brulebois ]
  * Mass-update po translations (install-methods.po) so that the syslinux
    example is correct (see #803267): el es fi hu ko ru sv vi zh_CN zh_TW

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 17:20:16 +0200

installation-guide (20150423+deb8u2) jessie; urgency=medium

  [ Martin Michlmayr ]
  * Added QNAP TS-109, TS-209, TS-409 and TS-409U as supporteded
    models again.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Jan 2016 20:24:03 +0100

installation-guide (20150423+deb8u1) jessie; urgency=medium

  * Backport fixes from sid.

  [ Samuel Thibault ]
  * Give to make-kpkg a "1.0.custom" revision instead of bogus "custom.1.0".
    Closes: #783613.
  * Add an example preseed entry for setting up multi-arch.
    Closes: #785165 . Thanks to Matthew Sweet for the patch.

  [ Christian Perrier ]
  * Fix kernel source compression extension in kernel-baking.xml

  [ Holger Wansing ]
  * Revert to documenting that the text installer is still the default
    installer.
  * Remove mention of kfreebsd as supported archs for Jessie

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 May 2015 00:13:28 +0200

## installation-guide 20160121ubuntu2

=== debian/changelog ===
installation-guide (20160121ubuntu2) xenial; urgency=medium

  * en/appendix/chroot-install.xml: Revert Ubuntu delta about setting UTC in
    /etc/default/rcS instead of /etc/adjtime. (LP: #1541532)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Feb 2016 22:15:31 +0100

installation-guide (20160121ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Drop build-dependency on poxml for now, since we don't ship any
      translations.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Build only Ubuntu architectures (amd64, arm64, armhf, i386, powerpc,
      ppc64el, s390x).
    - Direct installation reports to ubuntu-users for now.
    - Document mounting /sys in various places.
    - Update chroot-install guide for language packs; add
      a bit more advice about installing grub.
    - Document our root password and sudo arrangements.
    - Adjust various memory and disk space requirements. Talk about the
      default Ubuntu desktop and Ubuntu tasks rather than Debian tasks.
    - Document network-console/authorized_keys_url feature
    - Document mirror/udeb/components.
    - Document scheme for preseeding the use of CC.archive.ubuntu.com
      mirrors.
    - Document how to override the weak password check.
    - Document preseeding user-setup's home directory encryption facility.
    - Document new simplified partman preseeding.
    - Document partman-auto-lvm/guided_size.
    - Document partman/default_filesystem.
    - Document live-installer/net-image.
    - Improve examples of tasksel/first preseeding to avoid mentioning
      standard, which is installed by default.
    - Document pkgsel/update-policy.
    - Document pkgsel/updatedb.
    - Document apt-setup/security_path.
    - Disable documentation of win32-loader.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Retain delta for commented-out OldWorld Mac support because it's easier
      than reverting it; but at this point OldWorld Macs will almost
      certainly never be supported in Ubuntu or Debian.
    - Remove comments about automatic installation methods that have been
      removed from Ubuntu.
    - Document Kickstart installations.
    - Unset supports-floppy-boot for all our architectures.
    - Don't recommend passing http://archive.ubuntu.com/ubuntu to
      debootstrap.
    - Document that i586 processors and i686 without cmov are no longer
      supported.
    - Translate '&debian;' and '&debian-gnu;' xml entities to 'Ubuntu',
      allowing us to significantly reduce the branding delta.
    - Bump names for xenial.
    - Bump kernelversion to 4.3.
    - Disable all the documentation of loadlin, not just half of it.
    - Never enable the "new-arch" status for any Ubuntu archs.
    - Set the archive url dynamically based on the architecture, to cover
      ports.u.c vs. archive.u.c.  LP: #1391019.
    - Revert installation guide changes that say to use /etc/adjtime instead
      of etc/default/rcS; /etc/adjtime is evilbadwrong and not used in
      Ubuntu.
    - Don't include information about tasks that Ubuntu doesn't have.
  * Revert the Debian change to mark "graphical install" as the default, which
    is not a supported option on our d-i based images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jan 2016 23:14:43 -0800

installation-guide (20160121) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Update scripts and entities to stretch release.
  * Remove the DNS-323 from the list of supported Orion devices.
  * Remove IXP4xx from the list of supported armel platforms.
  * Remove references to platforms that were last supported in Debian 7.
  * Document armel devices and platforms for which support was dropped.
  * Update list of supported QNAP models.
  * Add "MX53 LOCO Board" as alternative name for the MX53 Quick Start
    Board (see #788782).
  * List Seagate FreeAgent DockStar as supported plug computer.
  * Convert supported Kirkwood devices to a list.
  * Added QNAP TS-109, TS-209, TS-409 and TS-409U as supporteded
    models again.

  [ Vincent McIntyre ]
  * Document discrepancy between halt and poweroff. Closes: #789652.

  [ Łukasz Stelmach ]
  * Update information on hashed passwords. Closes: #801810.

  [ Samuel Thibault ]
  * Document the fourth bootline parameter of brltty.
  * Document the zoom support.

  [ Matt Kraai ]
  * Fix Instructions for creating syslinux.cfg according to syslinux 5.00
    change. Closes: #803267.

  [ Holger Wansing ]
  * Documenting that the graphical installer is now the default.

  [ Cyril Brulebois ]
  * Remove alternative build-dep on openjade1.3, thanks to Neil Roeth
    (Closes: #809523).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Jan 2016 20:14:33 +0100

installation-guide (20150528ubuntu1) xenial; urgency=low

  * Merge from Debian unstable; LP: #887663.
    - fixes a wrong init script name for dhcpd.  LP: #666726.
    - fixes a typo in the table of memory requirements.  LP: #1030336.
    - drops obsolete mention of 2.6 kernels in keyboard preseeding.
      LP: #1000354.
    - fixes wrong make-kpkg example invocation.  LP: #1019906.
    - fixes stale link to debian-installer subversion repo.  LP: #1233732.
  * Remaining changes:
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).


## installation-guide 20160121ubuntu2.2

=== build/Makefile ===
TARGETS=$(foreach language,$(languages),$(addprefix $(language).,$(architectures)))

.PHONY: $(TARGETS)

all: $(TARGETS)

$(TARGETS): %:
	set -e ; \
	target=$@ ; \
	lang=$${target%.*} ; \
	lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")" ; \
	arch=$${target#*.} ; \
	eval arch_destination=$$destination ; \
	echo "Architecture: $$arch" ; \
	if [ -n "$$noarchdir" ]; then \
		destsuffix="$$lang" ; \
	else \
		if [ -n "$$web" ] ; then \
			destsuffix="$$arch" ; \
		else \
			destsuffix="$$lang.$$arch" ; \
		fi ; \
	fi ; \
	export destdir=build.out.$$lang.$$arch ; \
	export tempdir=build.tmp.$$lang.$$arch ; \
	./buildone.sh "$$arch" "$$lang" "$$formats" ; \
	mkdir -p "$$arch_destination/$$destsuffix" ; \
	for format in $$formats; do \
		if [ "$$format" = html ]; then \
			mkdir -p "$$arch_destination/$$destsuffix/images" ; \
			mv ./$$destdir/html/images/* "$$arch_destination/$$destsuffix/images" ; \
			rmdir ./$$destdir/html/images ; \
			mv ./$$destdir/html/* "$$arch_destination/$$destsuffix" ; \
		else \
			# Do not fail because of missing PDF support for some languages \
			if [ -n "$$web" ] ; then \
				mv ./$$destdir/install.$$lang.$$format "$$arch_destination/$$destsuffix/install.$$format.$$lang_id" 2>/dev/null || true ; \
			else \
				mv ./$$destdir/install.$$lang.$$format "$$arch_destination/$$destsuffix" 2>/dev/null || true ; \
			fi ; \
		fi ; \
	done ; \
	./clear.sh

=== debian/changelog ===
installation-guide (20160121ubuntu2.2) xenial; urgency=medium

  * [arm64] Server ISOs now exist and will be available in 16.04.1.
    (LP: #1604178)

 -- dann frazier <dann.frazier@canonical.com>  Mon, 18 Jul 2016 16:36:02 -0600

installation-guide (20160121ubuntu2.1) xenial; urgency=medium

  * Documentation updates for xenial, tracked via LP: #1590062:
    - Backport updates from yakkety that also apply to xenial:
      - what-is-ubuntu.xml: long-overdue language updates.  Don't call Ubuntu
        a "desktop operating system", and list all of the currently-supported
        architectures.
      - en/welcome/what-is-debian.xml: drop another outdated reference to
        Ubuntu being a "desktop" system.
      - build/arch-options: add a new 'supports-desktop' condition, which for
        the moment is set only on amd64, i386, and powerpc as the only
        architectures that any flavors are building desktop images for.  This
        may warrant further refinement later.
      - disable various references to desktops when 'supports-desktop' is not
        set.
      - List Cavium ThunderX as a supported arm64 platform
      - Make the bios-setup UEFI section apply to arm64 as well; move U-Boot
        specific content into a U-Boot-only section.
      - Bump version numbers for xenial.
    - [arm64] Replace the CD-ROM instructions with a note that ISO images for
      won't be available until 16.04.1, at which point this change will need
      to be reverted. (Reminder is set in my calendar).

 -- dann frazier <dann.frazier@canonical.com>  Tue, 07 Jun 2016 14:52:03 -0600

=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Standards-Version: 3.9.5
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/d-i/trunk/manual/
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/installation-guide/ubuntu
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, jadetex, openjade, docbook-dsssl, ghostscript
# This comment can also be used to generate a Build-Depends-Indep line, by
# running the debian/genbuilddeps program. So put each build dep on its own
# line, prefixed by " - " and to comment out a build dep, start the line
# with two hashes. And don't edit the Build-Depends-Indep line above by hand.
#
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to	build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
##	- poxml
##		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- ghostscript
#		For pdfs.

Package: installation-guide-amd64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for amd64
 This package contains the Ubuntu installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-arm64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for arm64
 This package contains the Ubuntu installation guide for the 64bit ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armhf
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for armhf
 This package contains the Ubuntu installation guide for the ARM
 with Hardware FPU architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-hppa
#Architecture: all
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Ubuntu installation guide for hppa
# This package contains the Ubuntu installation guide for the PA-RISC
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for i386
 This package contains the Ubuntu installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for powerpc
 This package contains the Ubuntu installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ppc64el
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for powerpc
 This package contains the Ubuntu installation guide for the little-endian
 PowerPC architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-s390x
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Ubuntu installation guide for s390x
 This package contains the Ubuntu installation guide for the 64bit S/390
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

## installation-guide 20160121ubuntu3

=== debian/changelog ===
installation-guide (20160121ubuntu3) yakkety; urgency=medium

  [ Steve Langasek ]
  * what-is-ubuntu.xml: long-overdue language updates.  Don't call Ubuntu a
    "desktop operating system", and list all of the currently-supported
    architectures.
  * en/welcome/what-is-debian.xml: drop another outdated reference to Ubuntu
    being a "desktop" system.
  * build/arch-options: add a new 'supports-desktop' condition, which for the
    moment is set only on amd64, i386, and powerpc as the only architectures
    that any flavors are building desktop images for.  This may warrant
    further refinement later.
  * disable various references to desktops when 'supports-desktop' is not
    set.

  [ dann frazier ]
  * List Cavium ThunderX as a supported arm64 platform
  * Make the bios-setup UEFI section apply to arm64 as well; move U-Boot
    specific content into a U-Boot-only section.

  [ Doug Smythies ]
  * Bump version numbers for xenial (currently accurate for yakkety as well).

 -- dann frazier <dann.frazier@canonical.com>  Tue, 07 Jun 2016 13:12:46 -0600

## installation-guide 20160121ubuntu4

=== debian/changelog ===
installation-guide (20160121ubuntu4) bionic; urgency=medium

  [ Doug Smythies ]
  * Fix typos in phrases where the sentence end dot is doubled.

  [ Frank Heimes ]
  * Update IBM Z/s390x and POWER support timeline.
  * Update supported architectures.
  * Various small changes for s390x-specific details of the install.

  [ Doug Smythies ]
  * Bump version numbers for Bionic.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 25 Apr 2018 09:30:57 -0400

## installation-guide 20160121ubuntu4.3

=== debian/changelog ===
installation-guide (20160121ubuntu4.3) bionic; urgency=medium

  [ Ike Panhc ]
  * Describe HWE kernel, point release and url for supported arm64 platforms.
    (LP: #1730322)
  * Move supported arm64 server list to a wiki page to ease maintenance
    (LP: #1804306)

 -- dann frazier <dannf@ubuntu.com>  Tue, 20 Nov 2018 15:10:20 -0700

installation-guide (20160121ubuntu4.2) bionic; urgency=medium

  * Fixed some appearance issues and long lines - mainly visible in the PDFs 
    (LP: #1575236)

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 06 Jul 2018 12:08:50 -0400

installation-guide (20160121ubuntu4.1) bionic; urgency=medium

  * More adjustments to the s390x portion of the installation guide, updated
    references to IBM documentation. (LP: #1575236)
  * Clear up use of zfcp configuration in preseed. (LP: #1564788)
  * Add a validation-only build mode.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 03 Jul 2018 13:34:01 -0400

## installation-guide 20160121ubuntu7

=== debian/changelog ===
installation-guide (20160121ubuntu7) cosmic; urgency=medium

  * Fixed some appearance issues and long lines - mainly visible in the PDFs 

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 06 Jul 2018 12:08:50 -0400

installation-guide (20160121ubuntu6) cosmic; urgency=medium

  * build/preseed.pl: also replace the arch-title entity in preseed with
    the short arch name -- that's all we'll need in the preseed examples.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 03 Jul 2018 15:00:27 -0400

installation-guide (20160121ubuntu5) cosmic; urgency=medium

  * More adjustments to the s390x portion of the installation guide, updated
    references to IBM documentation.
  * Clear up use of zfcp configuration in preseed. (LP: #1564788)
  * Add a validation-only build mode.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 03 Jul 2018 13:34:01 -0400

## installation-guide 20160121ubuntu7.1

=== debian/changelog ===
installation-guide (20160121ubuntu7.1) cosmic; urgency=medium

  [ Ike Panhc ]
  * Describe HWE kernel, point release and url for supported arm64 platforms.
    (LP: #1730322)
  * Move supported arm64 server list to a wiki page to ease maintenance
    (LP: #1804306)

 -- dann frazier <dannf@ubuntu.com>  Tue, 20 Nov 2018 15:37:10 -0700

## installation-guide 20160121ubuntu8

=== debian/changelog ===
installation-guide (20160121ubuntu8) disco; urgency=medium

  [ Ike Panhc ]
  * Describe HWE kernel, point release and url for supported arm64 platforms.
    (LP: #1730322)
  * Move supported arm64 server list to a wiki page to ease maintenance
    (LP: #1804306)

 -- dann frazier <dannf@ubuntu.com>  Tue, 20 Nov 2018 13:32:20 -0700

## installation-guide 20160121ubuntu9

=== debian/changelog ===
installation-guide (20160121ubuntu9) eoan; urgency=medium

  * Drop powerpc from the arch list.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 May 2019 21:35:43 -0700

=== debian/rules ===
#!/usr/bin/make -f

ARCHS=$(shell cd debian; ./getfromlist archlist)
LANGS=$(shell cd debian; ./getfromlist langlist)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
ifeq (${SUITE},unstable)
SUITE=wheezy
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifneq (,$(DEB_PARALLEL_JOBS))
PARALLEL=-j$(DEB_PARALLEL_JOBS)
endif


MANTMP=$(shell pwd)/debian/manual

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	rm -rf $(MANTMP)
	dh_clean doc-base-stamp
	rm -rf debian/installation-guide-*.doc-base.*
	rm -rf build/build.out* build/build.tmp* build/build.po

doc-base: doc-base-stamp
doc-base-stamp:
	@echo $(ARCHS)
	rm -f $@
	rm -rf debian/installation-guide-*.doc-base.*
	set -e; cd debian && \
	    for arch in $(ARCHS); do \
		for lang in $(LANGS); do \
		    arch_full="$$(grep "^$$arch[[:space:]]" archlist | cut -f 2)"; \
		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)"; \
		    lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")"; \
		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
			-e "s:%LANG_ID%:$$lang_id:g" \
			TEMPLATE.doc-base >installation-guide-$$arch.doc-base.$$lang; \
		    if [ ! -e manual/$$arch/$$lang/install.$$lang.pdf ]; then \
			    sed -i "/Format: pdf/,/^$$/d" installation-guide-$$arch.doc-base.$$lang; \
		    fi; \
		done; \
	    done
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp
build-stamp:
	rm -f $@
	-rm -rf $(MANTMP)
	set -e && cd build && \
		MAKEFLAGS="$(PARALLEL)" \
		official_build=1 manual_release=$(SUITE) \
		architectures="$(ARCHS)" languages="$(LANGS)" \
		destination=$(MANTMP)/'$${arch}' noarchdir=1 \
		./build.sh
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
binary-arch:

binary-indep: install doc-base
	dh_testdir
	dh_testroot
	dh_installchangelogs
	for arch in $(ARCHS) ; do \
		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
	done
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

	# Create a tarball for each arch for use in debian-cd
	# Note: these should be uploaded manually
	#set -e && cd $(MANTMP) && \
	#    for arch in $(ARCHS) ; do \
	#	tarname=di-manual-$${arch}_$(VERSION).tar.gz ; \
	#	cd $$arch ; \
	#	tar czf ../../../../$$tarname . ; \
	#	cd .. ; \
	#    done

binary: binary-indep binary-arch 
.PHONY: build build-arch build-indep build-images clean binary-indep binary-arch binary install

## installation-guide 20160121ubuntu9.1

=== debian/changelog ===
installation-guide (20160121ubuntu9.1) focal; urgency=medium

  * Drop i386 from the arch list. (LP: #1876151)
  * Mention in the package descriptions that the i386 and powerpc packages
    are empty.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 18 Jun 2020 12:05:01 +1200

=== debian/control ===
--- 
+++ 
@@ -78,21 +78,17 @@
 Architecture: all
 Depends: ${misc:Depends}
 Conflicts: installation-guide
-Description: Ubuntu installation guide for i386
- This package contains the Ubuntu installation guide for the Intel x86
- architecture, in a variety of languages.
- .
- A shorter reference, the installation HOWTO, is included in an appendix.
+Description: Obsolete Ubuntu installation guide for i386
+ This package used to contain the Ubuntu installation guide for the Intel x86
+ architecture but is now empty.
 
 Package: installation-guide-powerpc
 Architecture: all
 Depends: ${misc:Depends}
 Conflicts: installation-guide
-Description: Ubuntu installation guide for powerpc
- This package contains the Ubuntu installation guide for the PowerPC
- architecture, in a variety of languages.
- .
- A shorter reference, the installation HOWTO, is included in an appendix.
+Description: Obsolete Ubuntu installation guide for powerpc
+ This package used to contain the Ubuntu installation guide for the PowerPC
+ architecture but is now empty.
 
 Package: installation-guide-ppc64el
 Architecture: all

## installation-guide 20160121ubuntu11

=== debian/changelog ===
installation-guide (20160121ubuntu11) groovy; urgency=medium

  * Stop building the installation-guide-powerpc package at all. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 18 Jun 2020 12:12:04 +1200

installation-guide (20160121ubuntu10) groovy; urgency=medium

  * Stop building the i386 installation guide.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Jun 2020 13:33:43 +1200

=== debian/control ===
--- 
+++ 
@@ -74,21 +74,25 @@
 # .
 # A shorter reference, the installation HOWTO, is included in an appendix.
 
-Package: installation-guide-i386
-Architecture: all
-Depends: ${misc:Depends}
-Conflicts: installation-guide
-Description: Obsolete Ubuntu installation guide for i386
- This package used to contain the Ubuntu installation guide for the Intel x86
- architecture but is now empty.
+#Package: installation-guide-i386
+#Architecture: all
+#Depends: ${misc:Depends}
+#Conflicts: installation-guide
+#Description: Ubuntu installation guide for i386
+# This package contains the Ubuntu installation guide for the Intel x86
+# architecture, in a variety of languages.
+# .
+# A shorter reference, the installation HOWTO, is included in an appendix.
 
-Package: installation-guide-powerpc
-Architecture: all
-Depends: ${misc:Depends}
-Conflicts: installation-guide
-Description: Obsolete Ubuntu installation guide for powerpc
- This package used to contain the Ubuntu installation guide for the PowerPC
- architecture but is now empty.
+# Package: installation-guide-powerpc
+# Architecture: all
+# Depends: ${misc:Depends}
+# Conflicts: installation-guide
+# Description: Ubuntu installation guide for powerpc
+# This package contains the Ubuntu installation guide for the PowerPC
+# architecture, in a variety of languages.
+# .
+# A shorter reference, the installation HOWTO, is included in an appendix.
 
 Package: installation-guide-ppc64el
 Architecture: all
